Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.support
[Java] Class StaticResourceLoader

    java.lang.Object
      org.codehaus.groovy.grails.support.StaticResourceLoader

All Implemented Interfaces:
  org.springframework.core.io.ResourceLoader

    public class StaticResourceLoader
    extends java.lang.Object

A ResourceLoader that loads resources from a statically defined base resource.

Authors:
  Graeme Rocher

Since:
  0.5

Method Summary
`java.lang.ClassLoader` | `getClassLoader()`
`org.springframework.core.io.Resource` | `getResource(java.lang.String location)`
`void` | `setBaseResource(org.springframework.core.io.Resource baseResource)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### getClassLoader

    public java.lang.ClassLoader getClassLoader()

### getResource

    public org.springframework.core.io.Resource getResource(java.lang.String location)

### setBaseResource

    public void setBaseResource(org.springframework.core.io.Resource baseResource)

Groovy Documentation